<?php
if (!defined('ABSPATH')) 
	die();

$opts = OrakOrderNotifications::$options;
$current_tab = isset($_GET['tab']) && in_array($_GET['tab'], array('settings', 'upload')) ? sanitize_text_field($_GET['tab']) : 'settings';
$assets_dir = str_replace('includes/', '', plugin_dir_path(__FILE__)).'assets';
$assets_url = str_replace('includes/', '', plugin_dir_url(__FILE__)).'assets';

include "upload-actions.php";
?>

<style>
	.wrap { font-size:15px; }
	
	#html5_notification_info { display:none; }

	#use_desktop_notification:checked ~ #html5_notification_info { display:block; }
	
	#sound_notification_info { display:none; }

	#use_sound_notification:checked ~ #sound_notification_info { display:block; }
	
	#tab_notification_info { display:none; }

	#use_tab_notification:checked ~ #tab_notification_info { display:block; }
	
	.box { background:#f7f7f7; border:1px solid #ccc; margin: 10px 0 0 24px; padding:15px; width:250px; border-radius:5px; moz-border-radius:5px -webkit-border-radius:5px; }
	
	.box input, textarea, select { width:250px; margin: 8px 0 0 0; }
	
	#notification-logo-preview { max-width: 64px; border: 2px solid #777; padding:1px; }
	
	table.uploads td { border-bottom: 1px solid #ccc; padding:3px; background: #fefefe; padding:5px; }
</style>

<div class="wrap">

	<h2><?php echo __('WooCommerce Real-time Notifications for new orders', OrakOrderNotifications::TEXTDOMAIN); ?></h2>

	<br/>
	<h2 class="nav-tab-wrapper">
		<a class='nav-tab <?php if($current_tab == 'settings'): echo 'nav-tab-active'; endif; ?>' href='options-general.php?page=orak_notification_settings&tab=settings'>Settings</a>
		<a class='nav-tab <?php if($current_tab == 'upload'): echo 'nav-tab-active'; endif; ?>' href='options-general.php?page=orak_notification_settings&tab=upload'>Upload assets</a>
	</h2>
	
	<div class="wrap">
		<?php if($current_tab == 'settings'): ?>
			
		<form method="post" action="options.php">
			
			<?php echo settings_fields(OrakOrderNotifications::OPTION_GROUP); ?>

			
			<input type="checkbox" <?php if(isset($opts['use_desktop_notification'])) echo "checked='checked'"; ?> id="use_desktop_notification" name="<?php echo OrakOrderNotifications::OPTION_NAME; ?>[use_desktop_notification]" value="1"/>

			<label for="use_desktop_notification"><?php echo __('Use HTML5 Desktop notifications.', OrakOrderNotifications::TEXTDOMAIN); ?></label> 
			
			<div id="html5_notification_info" class='box'>
			
				<?php echo __("Notification title:"); ?><br/>
				<input type="text" name="<?php echo OrakOrderNotifications::OPTION_NAME; ?>[d_notification_title]" value="<?php echo $opts['d_notification_title']; ?>" style="padding:5px;width:250px;"/>
				<br/><br/>
				
				<?php echo __("Notification description:"); ?><br/>
				<textarea name="<?php echo OrakOrderNotifications::OPTION_NAME; ?>[d_notification_body]" style="padding:5px;width:250px;"><?php echo $opts['d_notification_body']; ?></textarea>
				
				<br/><br/>
				<?php echo __('Select notification icon:', OrakOrderNotifications::TEXTDOMAIN); ?>
				
				<select name="<?php echo OrakOrderNotifications::OPTION_NAME; ?>[notification_logo]" onchange="changeNotificationLogo('<?php echo $assets_url; ?>', this)">
				<?php 
					$dh = opendir($assets_dir.'/notification-icons');
					while (false !== ($filename = readdir($dh))) {
						if($filename == '.' || $filename == '..') continue;
						echo '<option '.($opts['notification_logo'] == $filename ? 'selected' : '').' value="'.$filename. '">'.$filename.'</option>';
					}
				?>
				</select>
				<br/><br/>
				<img src="<?php echo $assets_url.'/notification-icons/'.$opts['notification_logo'];?>" id="notification-logo-preview" alt='preview'/>
			</div>
			
			<br/><br/>
			
			
			<input type="checkbox" <?php if(isset($opts['use_sound_notification'])) echo "checked='checked'"; ?> id="use_sound_notification" name="<?php echo OrakOrderNotifications::OPTION_NAME; ?>[use_sound_notification]" value="1"/>

			<label for="use_sound_notification"><?php echo __('Use sound notifications.', OrakOrderNotifications::TEXTDOMAIN); ?></label> 

			<div id="sound_notification_info" class='box'>
				<select name="<?php echo OrakOrderNotifications::OPTION_NAME; ?>[sound_notification_file]" id="sound_notification_file" <!--onchange="changeNotificationLogo('<?php echo $assets_url; ?>', this)"-->>
				<?php 
					$dh = opendir($assets_dir.'/notification-sounds');
					while (false !== ($filename = readdir($dh))) {
						if($filename == '.' || $filename == '..') continue;
						echo '<option '.($opts['sound_notification_file'] == $filename ? 'selected="selected"' : '').' value="'.$filename. '">'.$filename.'</option>';
					}
				?>
				</select>
				<br/><br/>
				<a href='#preview-sound' class='button-primary' onclick='previewNotificationSound()'><?php echo __('click here to preview', OrakOrderNotifications::TEXTDOMAIN); ?></a>
				<br/><br/>
			</div>
			
			<br/><br/>
			
			
			<input type="checkbox" <?php if(isset($opts['use_tab_notification'])) echo "checked='checked'"; ?> id="use_tab_notification" name="<?php echo OrakOrderNotifications::OPTION_NAME; ?>[use_tab_notification]" value="1"/>

			<label for="use_tab_notification"><?php echo __('Use "tab blink" effect notifications.', OrakOrderNotifications::TEXTDOMAIN); ?></label> 

			<div id="tab_notification_info" class='box'>
				<?php echo __('Blinking text:', OrakOrderNotifications::TEXTDOMAIN); ?>
				<input type="text" name="<?php echo OrakOrderNotifications::OPTION_NAME; ?>[tab_notification_blink_text]" value="<?php echo $opts['tab_notification_blink_text']; ?>" id="tab_notification_blink_text" style="width:230px;"/>
			</div>
			<br/><br/>
			
			<input type="checkbox" <?php if(isset($opts['repeat_sound_notification']) && $opts['repeat_sound_notification'] == 1) echo "checked='checked'"; ?> id="repeat_sound_notification" name="<?php echo OrakOrderNotifications::OPTION_NAME; ?>[repeat_sound_notification]" value="1"/>

			<label for="repeat_sound_notification"><?php echo __('Repeat the sound notification every few seconds until checked.', OrakOrderNotifications::TEXTDOMAIN); ?></label> 

			<br/><br/>
			<?php echo __('Select check interval:', OrakOrderNotifications::TEXTDOMAIN); ?>
			<select name="<?php echo OrakOrderNotifications::OPTION_NAME; ?>[notification_check_interval]" id="notification_check_interval" style='margin-top:-3px;width:80px;'>
				<?php 
					$values = array(10,30,60,120,180, 240);
					foreach ($values as $val) {
						echo '<option '.($opts['notification_check_interval'] == $val ? 'selected="selected"' : '').' value="'.$val. '">'.$val.'</option>';
					}
				?>
			</select> <?php echo __('in seconds', OrakOrderNotifications::TEXTDOMAIN); ?>
			
			<br/><br/>
			<input type="hidden" value="<?php echo $opts['last_checked_id']; ?>" name="<?php echo OrakOrderNotifications::OPTION_NAME; ?>[last_checked_id]" id="last_checked_id"/>
			
			<input type="submit" name="save" value="<?php echo __('Save', OrakOrderNotifications::TEXTDOMAIN); ?>" class='button-primary'/>

		</form>
		<?php endif; ?>
		
		<?php if($current_tab == 'upload'): ?>
		<form method="post" enctype="multipart/form-data">
			<h3><?php echo __('Icon / Logos', OrakOrderNotifications::TEXTDOMAIN); ?></h3>
			<?php echo __('Upload', OrakOrderNotifications::TEXTDOMAIN); ?> (png, jpg): <input type="file" name="icon"/><br/>
			<input type="submit" name="upload_icon" value="<?php echo __('Upload', OrakOrderNotifications::TEXTDOMAIN); ?>" class='button-primary'/>
			<br/><br/>
			<table class='uploads'>
				<tr>
					<td>#</td>
					<td><?php echo __('File name', OrakOrderNotifications::TEXTDOMAIN); ?></td>
					<td><?php echo __('Delete', OrakOrderNotifications::TEXTDOMAIN); ?></td>
				</tr>
				<?php 
					$dh = opendir($assets_dir.'/notification-icons');
					while (false !== ($filename = readdir($dh))) {
						if($filename == '.' || $filename == '..') continue;
						echo '<tr>
								<td><img src="'.$assets_url.'/notification-icons/'.$filename.'" width="32"/> </td>
								<td>'.$filename.'</td>
								
								<td>';
								
								if(strstr($filename, '_'))
								echo '<a href="options-general.php?page=orak_notification_settings&amp;tab=upload&amp;delete_image='.$filename.'" class="button-primary" style="background:#aa0000;border: 1px solid #770000;">delete</a>';
								else echo 'SYS';
								echo '</td>
							</tr>';
					}
				?>
			</table>
		</form>
		<hr/>

		<form method="post" enctype="multipart/form-data">
			<h3><?php echo __('Sound files', OrakOrderNotifications::TEXTDOMAIN); ?></h3>
			<?php echo __('Upload', OrakOrderNotifications::TEXTDOMAIN); ?> (mp3): <input type="file" name="sound"/><br/>
			<input type="submit" name="upload_sound" value="<?php echo __('Upload', OrakOrderNotifications::TEXTDOMAIN); ?>" class='button-primary'/>
			<br/><br/>
			<table class='uploads' id="notification_sounds_table">
				<tr>
					<td><?php echo __('File name', OrakOrderNotifications::TEXTDOMAIN); ?></td>
					<td><?php echo __('Preview', OrakOrderNotifications::TEXTDOMAIN); ?></td>
					<td><?php echo __('Delete', OrakOrderNotifications::TEXTDOMAIN); ?></td>
				</tr>
				<?php 
					$dh = opendir($assets_dir.'/notification-sounds');
					while (false !== ($filename = readdir($dh))) {
						if($filename == '.' || $filename == '..') continue;
						echo '<tr>
								<td>'.$filename.'</td>
								<td><a href="#preview" onclick="previewGivenNotification(\''.$filename.'\')"  class="button-primary">click</a></td>
								<td>';
								if(strstr($filename, '_'))
								echo '<a href="options-general.php?page=orak_notification_settings&amp;tab=upload&amp;delete_sound='.$filename.'" class="button-primary" style="background:#aa0000;border: 1px solid #770000;">delete</a>';
								else echo 'SYS';
								echo '</td>
							</tr>';
					}
				?>
			</table>
		</form>
		
		<?php endif; ?>
		<div id="random_data"></div>
	</div>
</div>